<?php
namespace Claromentis\Core\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array();
use Symfony\Contracts\EventDispatcher\Event;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;




class NullEventDispatcher implements EventDispatcherInterface
{
    public function dispatch(object $event, ?string $_2cf093f28f4c7e718a5e8af628894c7b = null) : object
    {
        return $event ?? new Event();
    }
    public function addListener($_2cf093f28f4c7e718a5e8af628894c7b, $_c44578bb3769209a3b3733819fd02602, $_3f650f992b0f74b15a3ed91adea9a2c4 = 0)
    {
        
        
    }
    public function addSubscriber(EventSubscriberInterface $_9675ff2efad7612af88e129adb4e5462)
    {
        
        
    }
    public function removeListener($_2cf093f28f4c7e718a5e8af628894c7b, $_c44578bb3769209a3b3733819fd02602)
    {
        
        
    }
    public function removeSubscriber(EventSubscriberInterface $_9675ff2efad7612af88e129adb4e5462)
    {
        
        
    }
    public function getListeners($_2cf093f28f4c7e718a5e8af628894c7b = null)
    {
        return [];
    }
    public function getListenerPriority($_2cf093f28f4c7e718a5e8af628894c7b, $_c44578bb3769209a3b3733819fd02602)
    {
        return null;
    }
    public function hasListeners($_2cf093f28f4c7e718a5e8af628894c7b = null)
    {
        return false;
    }
}